Bug 501900 - [hi_IN][GSUB]"U+0915 U+094D U+0929" need press backspace key four times to delete the whole char.
[hi_IN][GSUB]"U+0915 U+094D U+0929" need press backspace key four times to de...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 05:23 EDT by XinSun
Modified: 2012-08-07 16:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XinSun 2009-05-21 05:23:54 EDT
Description of problem:
When "U+0915 U+094D U+0929" in gedit, we need to press Backspace key
four times to delete the whole char.


Version-Release number of selected component (if applicable):
pangomm-2.14.1-1.fc10.x86_64
pango-1.22.3-1.fc10.i386
pango-1.22.3-1.fc10.x86_64
pango-devel-1.22.3-1.fc10.x86_64


How reproducible:
always

Steps to Reproduce:
1.Select "RAW CODE" in scim-bridge
2.Input "U+0915 U+094D U+0929" in gedit.
3.Press Backspace key to delete the whole char.

Actual results:
We need press backspce key four times to delete the whole char.

Expected results:
We should press backspace key three times to delete the whole char.

Additional info:
U+0915 U+094D U+0929 क्ऩ
Comment 1 XinSun 2009-05-21 05:25:18 EDT
[hi_IN][GSUB]
U+0916 U+094D U+0929  ख्ऩ
U+0917 U+094D U+0929  ग्ऩ 
U+0918 U+094D U+0929  घ्ऩ
U+0919 U+094D U+0929  ङ्ऩ
U+091A U+094D U+0929  च्ऩ
U+091B U+094D U+0929  छ्ऩ
U+091C U+094D U+0929  ज्ऩ
U+091D U+094D U+0929  झ्ऩ
U+091E U+094D U+0929  ञ्ऩ
U+091F U+094D U+0929  ट्ऩ 
U+0920 U+094D U+0929  ठ्ऩ
U+0921 U+094D U+0929  ड्ऩ
U+0922 U+094D U+0929  ढ्ऩ
U+0923 U+094D U+0929  ण्ऩ 
U+0924 U+094D U+0929  त्ऩ
U+0925 U+094D U+0929  थ्ऩ
U+0926 U+094D U+0929  द्ऩ
U+0927 U+094D U+0929  ध्ऩ 
U+0928 U+094D U+0929  न्ऩ 
U+092A U+094D U+0929  प्ऩ 
U+092B U+094D U+0929  फ्ऩ
U+092C U+094D U+0929  ब्ऩ 
U+092D U+094D U+0929  भ्ऩ 
U+092E U+094D U+0929  म्ऩ 
U+092F U+094D U+0929  य्ऩ
U+0930 U+094D U+0929  र्ऩ 
U+0932 U+094D U+0929  ल्ऩ
U+0933 U+094D U+0929  ळ्ऩ
U+0936 U+094D U+0929  श्ऩ
U+0935 U+094D U+0929  व्ऩ 
U+0937 U+094D U+0929  ष्ऩ
U+0938 U+094D U+0929  स्ऩ
U+0939 U+094D U+0929  ह्ऩ
also have this problem.
Comment 2 XinSun 2009-05-21 05:28:41 EDT
[hi_IN][GSUB]:
U+0929 U+094D U+0915  ऩ्क
U+0929 U+094D U+0916  ऩ्ख
U+0929 U+094D U+0916  ऩ्ख 
U+0929 U+094D U+0917  ऩ्ग
U+0929 U+094D U+0918  ऩ्घ
U+0929 U+094D U+0919  ऩ्ङ 
U+0929 U+094D U+091A  ऩ्च
U+0929 U+094D U+091B  ऩ्छ 
U+0929 U+094D U+091C  ऩ्ज 
U+0929 U+094D U+091D  ऩ्झ
U+0929 U+094D U+091E  ऩ्ञ 
U+0929 U+094D U+091F  ऩ्ट 
U+0929 U+094D U+0920  ऩ्ठ
U+0929 U+094D U+0921  ऩ्ड
U+0929 U+094D U+0922  ऩ्ढ 
U+0929 U+094D U+0923  ऩ्ण 
U+0929 U+094D U+0924  ऩ्त 
U+0929 U+094D U+0925  ऩ्थ
U+0929 U+094D U+0926  ऩ्द
U+0929 U+094D U+0927  ऩ्ध
U+0929 U+094D U+0928  ऩ्न
U+0929 U+094D U+092A  ऩ्प 
U+0929 U+094D U+092B  ऩ्फ 
U+0929 U+094D U+092C  ऩ्ब
U+0929 U+094D U+092D  ऩ्भ 
U+0929 U+094D U+092E  ऩ्म
U+0929 U+094D U+092F  ऩ्य
U+0929 U+094D U+0930  ऩ्र 
U+0929 U+094D U+0932  ऩ्ल
U+0929 U+094D U+0933  ऩ्ळ 
U+0929 U+094D U+0935  ऩ्व 
U+0929 U+094D U+0936  ऩ्श 
U+0929 U+094D U+0937  ऩ्ष
U+0929 U+094D U+0938  ऩ्स
U+0929 U+094D U+0939  ऩ्ह 
also have this problem.
Comment 3 Bug Zapper 2009-11-18 06:59:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pravin Satpute 2009-11-19 00:45:35 EST
this is again happening due to normalization by Pango

same bug like #501852
Comment 5 Bug Zapper 2009-12-18 04:28:11 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Pravin Satpute 2009-12-18 05:09:36 EST
better to close this after fixing issue
Comment 7 Bug Zapper 2010-03-15 08:37:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-02 14:04:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pravin Satpute 2011-06-03 02:08:49 EDT
somehow patch missed this character 
still present in pango-1.28.4-1.fc15.x86_64
Comment 11 A S Alam 2011-08-18 06:07:43 EDT
bug is exist in Fedora 16 (development) with following packages:
pango-1.29.3-2.fc16.x86_64
Comment 12 Fedora Admin XMLRPC Client 2012-01-10 10:43:23 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2012-08-07 16:15:06 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.